NoSuchFieldError (Java Platform SE 8 )
Keywords: java.lang.NoSuchFieldError class
Date: 2016-07-28

compact1, compact2, compact3
java.lang

## Class NoSuchFieldError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.IncompatibleClassChangeError
        - - java.lang.NoSuchFieldError

- All Implemented Interfaces:
    Serializable

      public class NoSuchFieldError
      extends IncompatibleClassChangeError

  Thrown if an application tries to access or modify a specified field of an object, and that object no longer has that field.

  Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchFieldError()` Constructs a `NoSuchFieldError` with no detail message.
    `NoSuchFieldError(String s)` Constructs a `NoSuchFieldError` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchFieldError

          public NoSuchFieldError()

      Constructs a `NoSuchFieldError` with no detail message.

    - #### NoSuchFieldError

          public NoSuchFieldError(String s)

      Constructs a `NoSuchFieldError` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.